Hello!
I saw a lot of posts on how to get CATIA object in a vbscript and what's usually ok is to just do the following in a vbs:
Dim CATIA
Set CATIA = WScript.GetObject("", "CATIA.Application")
My problem is that I have several versions of CATIA on my machine and this script tries to get the...
Hello,
I'm working on CATIA v5 on a project where we need to hide and show a lot of parts of a model.
Do you know any way to hide and show products/parts without using Selection with any API? c#, VBS, VBA ?
I tried already a lot of stuff but I don't manage to do it. I worked a lot on scene...
Hi!
I'm on CATIA V5 on a VBA project : I'm working with scenes and I hide some products in a scene I created and I would like to update the scene so I see the object has been hidden.
To create the scene I do :
Set RootProduct = CATIA.ActiveDocument.product
ProductName =...
Hello!
I'm using Catia V5 and I did a macro in CATScript creating scenes and I would like also the macro to switch the view to one of my created scenes.
Here is my macro : it's creating 1 scene per product of the "first row" of the product tree :
Sub CATMain()
Dim i As Integer
Dim products...